import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadDeleteRancherService = createAsyncThunk(
  "PROVINCE-JAHAD-DELETE-RANCHER-SERVICE",
  async (id, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.delete(
        "/LiveStock/rancher/rancher-view/0/?rancher_key=" + id
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
